# Table of contents

* [Introduction to Peerplays](README.md)

## Concepts

* [Decentralization](concepts/decentralization.md)
* [Consensus Mechanisms Compared](concepts/consensus-mechanisms-compared.md)

## Technology

* [Peerplays Technical Summary](technology/peerplays-technical-summary.md)
* [Intro to Peerplays Tokens](technology/intro-to-peerplays-tokens.md)
* [Intro to Peerplays Liquidity Pools](technology/intro-to-peerplays-liquidity-pools/README.md)
  * [Service Infrastructure Pools](technology/intro-to-peerplays-liquidity-pools/service-infrastructure-pools.md)
* [Staking (PowerUp) in Peerplays](technology/staking-in-peerplays.md)
* [Gamified User Namespaces and Subject Matter Expert Committees](technology/gamified-user-namespaces-and-subject-matter-expert-committees.md)
* [Peer-to-Peer Autonomous Organizations: Flow Diagram](technology/peer-to-peer-autonomous-organizations-flow-diagram.md)
* [Gamified Proof of Stake (GPOS)](technology/gamified-proof-of-stake-gpos/README.md)
  * [Wallet User Guide](technology/gamified-proof-of-stake-gpos/user-guide/README.md)
    * [GPOS Panel](technology/gamified-proof-of-stake-gpos/user-guide/gpos-panel.md)
    * [GPOS Landing Page](technology/gamified-proof-of-stake-gpos/user-guide/gpos-landing-page.md)
    * [Power Up](technology/gamified-proof-of-stake-gpos/user-guide/power-up.md)
    * [Power Down](technology/gamified-proof-of-stake-gpos/user-guide/power-down.md)
    * [Vote](technology/gamified-proof-of-stake-gpos/user-guide/vote.md)
    * [Thank you for voting!](technology/gamified-proof-of-stake-gpos/user-guide/thank-you-for-voting.md)
  * [FAQ](technology/gamified-proof-of-stake-gpos/faq/README.md)
    * [General](technology/gamified-proof-of-stake-gpos/faq/general.md)
    * [GPOS Panel](technology/gamified-proof-of-stake-gpos/faq/gpos-panel.md)
    * [Power Up & Power Down](technology/gamified-proof-of-stake-gpos/faq/power-up-and-power-down.md)
    * [Voting](technology/gamified-proof-of-stake-gpos/faq/voting.md)
    * [Participation Rewards](technology/gamified-proof-of-stake-gpos/faq/participation-rewards.md)
* [Sidechain Operator Nodes (SONs)](technology/sidechain-operator-nodes-sons/README.md)
  * [New to SONs?](technology/sidechain-operator-nodes-sons/new-to-sons/README.md)
    * [What are Sidechain Operating Nodes?](technology/sidechain-operator-nodes-sons/new-to-sons/what-are-sidechain-operating-nodes.md)
    * [How do SONs Work?](technology/sidechain-operator-nodes-sons/new-to-sons/how-do-sons-work.md)
    * [Why are SONs important?](technology/sidechain-operator-nodes-sons/new-to-sons/why-are-sons-important.md)
    * [How do SONs impact me?](technology/sidechain-operator-nodes-sons/new-to-sons/how-do-sons-impact-me.md)
    * [SON Fees & Performance Requirements](technology/sidechain-operator-nodes-sons/new-to-sons/son-fees-and-performance-requirements.md)
    * [Peerplays SONs](technology/sidechain-operator-nodes-sons/new-to-sons/peerplays-sons.md)
  * [FAQ](technology/sidechain-operator-nodes-sons/faq.md)
  * [Running a SON Node](https://infra.peerplays.tech/sidechain-operator-nodes-sons/installation-guides)
* [NFTs and Marketplace](technology/nfts-and-marketplace/README.md)
  * [NFT marketplace in Python](technology/nfts-and-marketplace/nft-marketplace-in-python.md)
  * [NFT Operations in Python](technology/nfts-and-marketplace/nft-operations-in-python.md)
  * [NFT, Marketplace, HRP, and RBAC related Commands/Use Cases](technology/nfts-and-marketplace/nft-marketplace-hrp-rbac-related-commands-usecases.md)
  * [NFT command reference](technology/nfts-and-marketplace/nft-command-referece.md)
* [Peerplays DEX](technology/peerplays-dex/README.md)
  * [User Guide](technology/peerplays-dex/user-guide/README.md)
    * [Account Creation](technology/peerplays-dex/user-guide/account-creation.md)
    * [Dashboard](technology/peerplays-dex/user-guide/dashboard/README.md)
      * [Bitcoin Transaction](technology/peerplays-dex/user-guide/dashboard/bitcoin-transaction.md)
    * [Market Activity](technology/peerplays-dex/user-guide/market-activity.md)
    * [Peerplays Blocks](technology/peerplays-dex/user-guide/peerplays-blocks.md)
    * [Settings](technology/peerplays-dex/user-guide/settings.md)
    * [Wallet](technology/peerplays-dex/user-guide/wallet.md)
    * [Profile](technology/peerplays-dex/user-guide/profile.md)
    * [GPOS - Voting](technology/peerplays-dex/user-guide/gpos-voting.md)
    * [Logout](technology/peerplays-dex/user-guide/logout.md)

## Witnesses

* [What is a Peerplays Witness?](witnesses/what-is-a-peerplays-witness.md)
* [Becoming a Peerplays Witness](witnesses/becoming-a-witness.md)
* [Hardware Requirements](https://infra.peerplays.tech/the-basics/hardware-requirements)
* [Installation Guides](https://infra.peerplays.tech/witnesses/installation-guides)

## Bookie Oracle Suite (BOS)

* [Introduction to BOS](https://infra.peerplays.tech/bookie-oracle-suite-bos/introduction-to-bos)
* [BOS Installation](https://infra.peerplays.tech/bookie-oracle-suite-bos/installation-guides)
* [BookieSports](https://infra.peerplays.tech/bookie-oracle-suite-bos/bookiesports)
* [Manual Intervention Tool (MINT)](https://infra.peerplays.tech/bookie-oracle-suite-bos/manual-intervention-tool-mint)

## Data Proxies

* [Introduction to Data Proxies](https://infra.peerplays.tech/data-proxies/introduction-to-data-proxies)
* [How Data Proxies Work](https://infra.peerplays.tech/data-proxies/how-data-proxies-work)
* [Data Proxy Set Up](https://infra.peerplays.tech/data-proxies/data-proxy-set-up)

## Couch Potato

* [Introduction](https://infra.peerplays.tech/couch-potato/introduction)
* [Installation](https://infra.peerplays.tech/couch-potato/installation)
* [User Guide](https://infra.peerplays.tech/couch-potato/help/user-guide)

## Random Number Generator (RNG)

* [RNG Technical Summary](random-number-generator-rng/rng-technical-summary.md)
* [RNG API](random-number-generator-rng/api.md)

## API

* [Peerplays Core API](api/peerplays-core-api/README.md)
  * [Popular API Calls](api/peerplays-core-api/popular-api-calls.md)
  * [Account History API](api/peerplays-core-api/account-history-api.md)
  * [Asset API](api/peerplays-core-api/asset-api.md)
  * [Block API](api/peerplays-core-api/block-api.md)
  * [Crypto API](api/peerplays-core-api/crypto-api.md)
  * [Database API](api/peerplays-core-api/database-api.md)
  * [Network Broadcast API](api/peerplays-core-api/network-broadcast-api.md)
  * [Network Nodes API](api/peerplays-core-api/network-nodes-api.md)
  * [Orders API](api/peerplays-core-api/orders-api.md)
* [Wallet API](api/peerplays-wallet-api/README.md)
  * [Account Calls](api/peerplays-wallet-api/account-calls.md)
  * [Asset Calls](api/peerplays-wallet-api/asset-calls.md)
  * [Blockchain Inspection](api/peerplays-wallet-api/blockchain-inspection.md)
  * [General Calls](api/peerplays-wallet-api/general-calls.md)
  * [Governance](api/peerplays-wallet-api/governance.md)
  * [Privacy Mode](api/peerplays-wallet-api/privacy-mode.md)
  * [Trading Calls](api/peerplays-wallet-api/trading-calls.md)
  * [Transaction Builder](api/peerplays-wallet-api/transaction-builder.md)
  * [Wallet Calls](api/peerplays-wallet-api/wallet-calls.md)
* [Bookie API](api/bookie-api/README.md)
  * [General](api/bookie-api/general.md)
  * [Tournaments](api/bookie-api/tournaments.md)
  * [Listeners](api/bookie-api/listeners.md)
* [Python Peerplays](api/python-peerplays/README.md)
  * [Installation](api/python-peerplays/installation.md)
  * [Creating the wallet](api/python-peerplays/creating-the-peerplays-wallet.md)
  * [Creating an Account](api/python-peerplays/creating-an-account.md)
  * [NFT](api/python-peerplays/nft.md)
  * [Market Place](api/python-peerplays/market-place.md)
  * [HRP / RBAC](api/python-peerplays/hrp-rbac.md)

***

* [Connecting Elasticsearch to a blockchain node](connecting-elasticsearch-to-a-blockchain-node.md)

## GitLab

* [GitLab Ticket Templates](gitlab/gitlab-ticket-templates.md)
* [Labels](gitlab/labels.md)
* [Time Tracking](gitlab/time-tracking.md)

## Other Documentation

* [Peerplays Home](https://peerplays.com)
* [Infrastructure Docs](https://infra.peerplays.com)
* [Developer Docs](https://devs.peerplays.com)
* [Site Reliability Engineering](https://sre.peerplays.com/)

## Known Issues

* [Peerplays Disaster Recovery Plan](known-issues/peerplays-disaster-recovery-plan.md)
* [Sept 2021 Mainnet Outage - Postmortem Report](known-issues/sept-2021-mainnet-outage-postmortem-report.md)

## Kickstart Guide

* [Peerplays Developer](kickstart-guide/peerplays-developer.md)

## Risk Register

* [Introduction](risk-register/introduction/README.md)
  * [Bunker Issue](risk-register/introduction/bunker-issue/README.md)
    * [DDOS Attack](risk-register/introduction/bunker-issue/ddos-attack.md)
    * [Hypervisor Compromised](risk-register/introduction/bunker-issue/hypervisor-compromised.md)
    * [Power and Backup Failure](risk-register/introduction/bunker-issue/power-and-backup-failure.md)
    * [Crypto Restriction](risk-register/introduction/bunker-issue/crypto-restriction.md)
  * [Core-Block Issue](risk-register/introduction/core-block-issue/README.md)
    * [Expensive Servers](risk-register/introduction/core-block-issue/expensive-servers.md)
    * [Witness node - Not reachable](risk-register/introduction/core-block-issue/witness-node-not-reachable.md)
    * [Witnesses get DDOS'd](risk-register/introduction/core-block-issue/witnesses-get-ddosd.md)
    * [Bad Actor infiltrate witness/SONs](risk-register/introduction/core-block-issue/bad-actor-infiltrate-witness-sons.md)
  * [Credential Security](risk-register/introduction/credential-security/README.md)
    * [NEX Open Source Vulnerabilities](risk-register/introduction/credential-security/nex-open-source-vulnerabilities.md)
    * [Keyloggers, access to NEX deployment](risk-register/introduction/credential-security/keyloggers-access-to-nex-deployment.md)
    * [Password manager hacked](risk-register/introduction/credential-security/password-manager-hacked.md)
    * [SONs active keys exposed in configuration](risk-register/introduction/credential-security/sons-active-keys-exposed-in-configuration.md)
* [Glossary](risk-register/glossary.md)

## Operation Cost Estimation

* [Project Operations](operation-cost-estimation/project-operations.md)
* [Cost Estimation](operation-cost-estimation/cost-estimation.md)
